---
- name: Ensures local backup dir exists
  file:
    path: '{{ backup.path|default( "../inventories/" + fabric_name + "/config/" + inventory_hostname ) }}'
    recurse: True
    state: directory
    mode: '0775'
  delegate_to: localhost
  become: False
  changed_when: False
  tags:
    - local

- name: Fetch config from remote devices and save to the config directory
  fetch:
    src: "{{ item }}"
    dest: '{{ backup.path|default( "../inventories/" + fabric_name + "/config/" + inventory_hostname ) }}/'
    fail_on_missing: False
    flat: True
  loop: '{{ backup.files|default( [ "/etc/network/interfaces", "/etc/frr/frr.conf", "/etc/frr/daemons", "/etc/cumulus/datapath/traffic.conf", "/usr/lib/python2.7/dist-packages/cumulus/__chip_config/mlx/datapath.conf" ] ) }}'
